### Function

# GLib PtrArray is_null_terminated

since: 2.74

#### Declaration

    gboolean
    g_ptr_array_is_null_terminated (
      GPtrArray* array
    )

#### Description

Gets whether the `array` was constructed as `NULL`-terminated.

This will only return `TRUE` for arrays constructed by passing `TRUE` to the `null_terminated` argument of g_ptr_array_new_null_terminated(). It will not return `TRUE` for normal arrays which have had a `NULL` element appended to them.

Available since: 2.74

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  The `GPtrArray`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the array is made to be `NULL` terminated.